---
name: Feature proposal about: New enhancement suggestion. title: "[PROPOSAL] "
labels: proposal assignees: ${assignee1}
---

### Problem to solve

<!-- What problem do we solve? -->

### Intended users

<!-- Who will use this feature? If known, include any of the following: types of users (e.g. Developer), personas, or specific company roles (e.g. Release Manager). It's okay to write "Unknown" and fill this field in later.

* [@gaal.dormick (Release Manager)](https://marketing.cherubits.hu/roles-personas/#gaal-release-manager)
* [@jor.fara (Product Manager)](https://marketing.cherubits.hu/roles-personas/#fara-product-manager)
* [@tomaz.sutt (Development Team Lead)](https://marketing.cherubits.hu/roles-personas/#tomaz-development-team-lead)
* [@bor.alurin (Software Developer)](https://marketing.cherubits.hu/roles-personas/#bor-software-developer)
* [Brisseis (Product Designer)](https://marketing.cherubits.hu/roles-personas/#brisseis-product-designer)
* [Janov Pelorat (DevOps Engineer)](https://marketing.cherubits.hu/roles-personas/#janov-devops-engineer)
* [@hari.sheldon (Systems Administrator)](https://marketing.cherubits.hu/roles-personas/#hari-systems-administrator)
* [@golan.trevize (Security Analyst)](https://marketing.cherubits.hu/roles-personas/#golan-security-analyst)
* [@salvor.hardin (Data Analyst)](https://marketing.cherubits.hu/roles-personas/#salvor-data-analyst)

Personas are described at https://marketing.cherubits.hu/roles-personas/ -->

### Further details

<!-- Include use cases, benefits, and/or goals (contributes to our vision?) -->

### Proposal

<!-- How are we going to solve the problem? Try to include the user journey! https://about.gitlab.com/handbook/journeys/#user-journey -->

### Permissions and Security

<!-- What permissions are required to perform the described actions? Are they consistent with the existing permissions as documented for users, groups, and projects as appropriate? Is the proposed behavior consistent between the UI, API, and other access methods (e.g. email replies)?-->

### Documentation

<!-- See the Feature Change Documentation Workflow https://docs.gitlab.com/ee/development/documentation/feature-change-workflow.html
Add all known Documentation Requirements here, per https://docs.gitlab.com/ee/development/documentation/feature-change-workflow.html#documentation-requirements
If this feature requires changing permissions, this document https://docs.gitlab.com/ee/user/permissions.html must be updated accordingly. -->

### Testing

<!-- What risks does this change pose? How might it affect the quality of the product? What additional test coverage or changes to tests will be needed? Will it require cross-browser testing? See the test engineering process for further help: https://about.gitlab.com/handbook/engineering/quality/test-engineering/ -->

### What does success look like, and how can we measure that?

<!-- Define both the success metrics and acceptance criteria. Note that success metrics indicate the desired business outcomes, while acceptance criteria indicate when the solution is working correctly. If there is no way to measure success, link to an issue that will implement a way to measure this. -->

### What is the type of buyer?

<!-- Which leads to: in which enterprise tier should this feature go? See https://about.gitlab.com/handbook/product/pricing/#four-tiers -->

### Links / references

/estimate 1d /label ~component::backend /label ~feature /todo
